GET /Condition
Summary: Search conditions
Operation ID: searchCondition
Auth: none
Operation ID: searchCondition
Auth: none
Description
Search for patient diagnoses and conditions
Parameters (5)
_count
(integer, query, optional, default: 20)
clinical-status
(string, query, optional)
Active, remission, or resolved
Constraints: {'enum': ['active', 'remission', 'resolved', 'inactive']}
code
(string, query, optional)
Condition ICD-10 or SNOMED code
onset-date
(string, query, optional)
Condition onset date
patient
(string, query, optional)
Patient reference
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Search active conditions for a patient | curl |
https://hapi.fhir.org/baseR4/Condition?patient=12345&clinical-status=active&_count=10 |
|
| Search diabetes conditions by SNOMED code | curl |
https://hapi.fhir.org/baseR4/Condition?code=44054006&_count=5 |
|
| Search conditions by onset date range | curl |
https://hapi.fhir.org/baseR4/Condition?onset-date=ge2020-01-01&onset-date=le2023-12-31&clinical-status=resolved&_count=20 |
|
| Search conditions | probe-gate |
https://hapi.fhir.org/baseR4/Condition?_count=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:02:26.603233 | 200 | 524ms | |
| 2026-03-23 10:59:21.859742 | 200 | 487ms | |
| 2026-03-23 10:46:37.476421 | 200 | 512ms | |
| 2026-03-23 10:17:55.483295 | 200 | 488ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:46:37.476421 | 9c6aafccc6cd |
a9b8675d53c8 |
| 2026-03-23 10:59:21.859742 | a9b8675d53c8 |
8a85c2d6e56d |
| 2026-03-23 11:02:26.603233 | 8a85c2d6e56d |
4eec1fb8ffef |